<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ConstCalorimeterHit Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_const_calorimeter_hit-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ConstCalorimeterHit Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_calorimeter_hit_const_8h_source.html">CalorimeterHitConst.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a35dea614836ae07de1255880524938e6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a35dea614836ae07de1255880524938e6">ConstCalorimeterHit</a> ()</td></tr>
<tr class="memdesc:a35dea614836ae07de1255880524938e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#a35dea614836ae07de1255880524938e6">More...</a><br /></td></tr>
<tr class="separator:a35dea614836ae07de1255880524938e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedad6cdba6ad8468be7b94f7f79d1088"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#aedad6cdba6ad8468be7b94f7f79d1088">ConstCalorimeterHit</a> (long long <a class="el" href="classeic_1_1_const_calorimeter_hit.html#ae07952768ca50d8319f826f7a06ff081">cellID0</a>, long long <a class="el" href="classeic_1_1_const_calorimeter_hit.html#ae737f9fd26c7dca7c04f75fc0ef21b81">cellID1</a>, float <a class="el" href="classeic_1_1_const_calorimeter_hit.html#a46a988dbb17d2a6aaf4010b0dc30b735">energy</a>, float <a class="el" href="classeic_1_1_const_calorimeter_hit.html#af1efd1cb1c3359fb9824822338a11c0b">time</a>, <a class="el" href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a> <a class="el" href="classeic_1_1_const_calorimeter_hit.html#a23a3fcfbbd307bccb3f57c06bef0ce2f">position</a>, int <a class="el" href="classeic_1_1_const_calorimeter_hit.html#a93910529a7d07283de64275044e7e2e4">type</a>)</td></tr>
<tr class="separator:aedad6cdba6ad8468be7b94f7f79d1088"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d6527e3555e2e19c46b7ffc591cacf8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a0d6527e3555e2e19c46b7ffc591cacf8">ConstCalorimeterHit</a> (<a class="el" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a> *obj)</td></tr>
<tr class="memdesc:a0d6527e3555e2e19c46b7ffc591cacf8"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a>  <a href="#a0d6527e3555e2e19c46b7ffc591cacf8">More...</a><br /></td></tr>
<tr class="separator:a0d6527e3555e2e19c46b7ffc591cacf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a3c567db50b1cdfd4a229f73fad4d90"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a5a3c567db50b1cdfd4a229f73fad4d90">ConstCalorimeterHit</a> (const <a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> &amp;other)</td></tr>
<tr class="memdesc:a5a3c567db50b1cdfd4a229f73fad4d90"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#a5a3c567db50b1cdfd4a229f73fad4d90">More...</a><br /></td></tr>
<tr class="separator:a5a3c567db50b1cdfd4a229f73fad4d90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a468f6db45e5d0b77fb311a4161c1912d"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a468f6db45e5d0b77fb311a4161c1912d">operator=</a> (const <a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> &amp;other)</td></tr>
<tr class="memdesc:a468f6db45e5d0b77fb311a4161c1912d"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#a468f6db45e5d0b77fb311a4161c1912d">More...</a><br /></td></tr>
<tr class="separator:a468f6db45e5d0b77fb311a4161c1912d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a638754b9e991342cef3620d410ba30fe"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a638754b9e991342cef3620d410ba30fe">clone</a> () const</td></tr>
<tr class="memdesc:a638754b9e991342cef3620d410ba30fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a638754b9e991342cef3620d410ba30fe">More...</a><br /></td></tr>
<tr class="separator:a638754b9e991342cef3620d410ba30fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81946de4a54634b41fb6e378b32b6719"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a81946de4a54634b41fb6e378b32b6719">~ConstCalorimeterHit</a> ()</td></tr>
<tr class="memdesc:a81946de4a54634b41fb6e378b32b6719"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#a81946de4a54634b41fb6e378b32b6719">More...</a><br /></td></tr>
<tr class="separator:a81946de4a54634b41fb6e378b32b6719"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae07952768ca50d8319f826f7a06ff081"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#ae07952768ca50d8319f826f7a06ff081">cellID0</a> () const</td></tr>
<tr class="memdesc:ae07952768ca50d8319f826f7a06ff081"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The detector specific (geometrical) cell id.  <a href="#ae07952768ca50d8319f826f7a06ff081">More...</a><br /></td></tr>
<tr class="separator:ae07952768ca50d8319f826f7a06ff081"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae737f9fd26c7dca7c04f75fc0ef21b81"><td class="memItemLeft" align="right" valign="top">const long long &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#ae737f9fd26c7dca7c04f75fc0ef21b81">cellID1</a> () const</td></tr>
<tr class="memdesc:ae737f9fd26c7dca7c04f75fc0ef21b81"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The second detector specific (geometrical) cell id.  <a href="#ae737f9fd26c7dca7c04f75fc0ef21b81">More...</a><br /></td></tr>
<tr class="separator:ae737f9fd26c7dca7c04f75fc0ef21b81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46a988dbb17d2a6aaf4010b0dc30b735"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a46a988dbb17d2a6aaf4010b0dc30b735">energy</a> () const</td></tr>
<tr class="memdesc:a46a988dbb17d2a6aaf4010b0dc30b735"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The energy of the hit in [GeV].  <a href="#a46a988dbb17d2a6aaf4010b0dc30b735">More...</a><br /></td></tr>
<tr class="separator:a46a988dbb17d2a6aaf4010b0dc30b735"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1efd1cb1c3359fb9824822338a11c0b"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#af1efd1cb1c3359fb9824822338a11c0b">time</a> () const</td></tr>
<tr class="memdesc:af1efd1cb1c3359fb9824822338a11c0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The time of the hit in [ns].  <a href="#af1efd1cb1c3359fb9824822338a11c0b">More...</a><br /></td></tr>
<tr class="separator:af1efd1cb1c3359fb9824822338a11c0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23a3fcfbbd307bccb3f57c06bef0ce2f"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a23a3fcfbbd307bccb3f57c06bef0ce2f">position</a> () const</td></tr>
<tr class="memdesc:a23a3fcfbbd307bccb3f57c06bef0ce2f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The position of the hit in world coordinates.  <a href="#a23a3fcfbbd307bccb3f57c06bef0ce2f">More...</a><br /></td></tr>
<tr class="separator:a23a3fcfbbd307bccb3f57c06bef0ce2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93c360316514cbc6d09a5ec08370b212"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a93c360316514cbc6d09a5ec08370b212">x</a> () const</td></tr>
<tr class="memdesc:a93c360316514cbc6d09a5ec08370b212"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the member of The position of the hit in world coordinates.  <a href="#a93c360316514cbc6d09a5ec08370b212">More...</a><br /></td></tr>
<tr class="separator:a93c360316514cbc6d09a5ec08370b212"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03769cc93d81a949806eb6adcd0ca62f"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a03769cc93d81a949806eb6adcd0ca62f">y</a> () const</td></tr>
<tr class="memdesc:a03769cc93d81a949806eb6adcd0ca62f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the member of The position of the hit in world coordinates.  <a href="#a03769cc93d81a949806eb6adcd0ca62f">More...</a><br /></td></tr>
<tr class="separator:a03769cc93d81a949806eb6adcd0ca62f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab943a8ca52790ce65b76daecc49bda8f"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#ab943a8ca52790ce65b76daecc49bda8f">z</a> () const</td></tr>
<tr class="memdesc:ab943a8ca52790ce65b76daecc49bda8f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the member of The position of the hit in world coordinates.  <a href="#ab943a8ca52790ce65b76daecc49bda8f">More...</a><br /></td></tr>
<tr class="separator:ab943a8ca52790ce65b76daecc49bda8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93910529a7d07283de64275044e7e2e4"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a93910529a7d07283de64275044e7e2e4">type</a> () const</td></tr>
<tr class="memdesc:a93910529a7d07283de64275044e7e2e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The type of the hit.  <a href="#a93910529a7d07283de64275044e7e2e4">More...</a><br /></td></tr>
<tr class="separator:a93910529a7d07283de64275044e7e2e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad24d48af434ccecfb9776caeae358ffe"><td class="memItemLeft" align="right" valign="top">const ::<a class="el" href="classeic_1_1_const_raw_calorimeter_hit.html">eic::ConstRawCalorimeterHit</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#ad24d48af434ccecfb9776caeae358ffe">rawHit</a> () const</td></tr>
<tr class="memdesc:ad24d48af434ccecfb9776caeae358ffe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a>.  <a href="#ad24d48af434ccecfb9776caeae358ffe">More...</a><br /></td></tr>
<tr class="separator:ad24d48af434ccecfb9776caeae358ffe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10e2a07fdb1f663a893eef0eb870edd5"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a10e2a07fdb1f663a893eef0eb870edd5">isAvailable</a> () const</td></tr>
<tr class="memdesc:a10e2a07fdb1f663a893eef0eb870edd5"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#a10e2a07fdb1f663a893eef0eb870edd5">More...</a><br /></td></tr>
<tr class="separator:a10e2a07fdb1f663a893eef0eb870edd5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f12f2c92cbafb700c06edda35f27e71"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a4f12f2c92cbafb700c06edda35f27e71">unlink</a> ()</td></tr>
<tr class="memdesc:a4f12f2c92cbafb700c06edda35f27e71"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a> instance  <a href="#a4f12f2c92cbafb700c06edda35f27e71">More...</a><br /></td></tr>
<tr class="separator:a4f12f2c92cbafb700c06edda35f27e71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae07a922ae22b5b75c36a882eac2bf585"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#ae07a922ae22b5b75c36a882eac2bf585">operator==</a> (const <a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> &amp;other) const</td></tr>
<tr class="separator:ae07a922ae22b5b75c36a882eac2bf585"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5abbadd983d956dc5a2bcc0da8edae7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#ae5abbadd983d956dc5a2bcc0da8edae7">operator==</a> (const <a class="el" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> &amp;other) const</td></tr>
<tr class="separator:ae5abbadd983d956dc5a2bcc0da8edae7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a118105c1aa3580b2d23719f5600225df"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a118105c1aa3580b2d23719f5600225df">operator&lt;</a> (const <a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> &amp;other) const</td></tr>
<tr class="separator:a118105c1aa3580b2d23719f5600225df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7ecf2a4aeb1a5677f78329ed862a17e"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#aa7ecf2a4aeb1a5677f78329ed862a17e">id</a> () const</td></tr>
<tr class="separator:aa7ecf2a4aeb1a5677f78329ed862a17e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36a7537b542fcc094e050f701d1da480"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_calorimeter_hit.html#a36a7537b542fcc094e050f701d1da480">getObjectID</a> () const</td></tr>
<tr class="separator:a36a7537b542fcc094e050f701d1da480"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Calorimeter hit </p><dl class="section author"><dt>Author</dt><dd>: W.Armstrong </dd></dl>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8h_source.html#l00029">29</a> of file <a class="el" href="_calorimeter_hit_const_8h_source.html">CalorimeterHitConst.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a35dea614836ae07de1255880524938e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35dea614836ae07de1255880524938e6">&#9670;&nbsp;</a></span>ConstCalorimeterHit() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstCalorimeterHit::ConstCalorimeterHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00017">17</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

</div>
</div>
<a id="aedad6cdba6ad8468be7b94f7f79d1088"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedad6cdba6ad8468be7b94f7f79d1088">&#9670;&nbsp;</a></span>ConstCalorimeterHit() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstCalorimeterHit::ConstCalorimeterHit </td>
          <td>(</td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID0</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">long long&#160;</td>
          <td class="paramname"><em>cellID1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>energy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>time</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a>&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>type</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">21</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_data_8h_source.html#l00017">eic::CalorimeterHitData::cellID0</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00052">cellID0()</a>, <a class="el" href="_calorimeter_hit_data_8h_source.html#l00018">eic::CalorimeterHitData::cellID1</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00053">cellID1()</a>, <a class="el" href="_calorimeter_hit_obj_8h_source.html#l00034">eic::CalorimeterHitObj::data</a>, <a class="el" href="_calorimeter_hit_data_8h_source.html#l00019">eic::CalorimeterHitData::energy</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00054">energy()</a>, <a class="el" href="_calorimeter_hit_data_8h_source.html#l00021">eic::CalorimeterHitData::position</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00056">position()</a>, <a class="el" href="_calorimeter_hit_data_8h_source.html#l00020">eic::CalorimeterHitData::time</a>, <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00055">time()</a>, <a class="el" href="_calorimeter_hit_data_8h_source.html#l00022">eic::CalorimeterHitData::type</a>, and <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00060">type()</a>.</p>

</div>
</div>
<a id="a0d6527e3555e2e19c46b7ffc591cacf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0d6527e3555e2e19c46b7ffc591cacf8">&#9670;&nbsp;</a></span>ConstCalorimeterHit() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstCalorimeterHit::ConstCalorimeterHit </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00041">41</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

</div>
</div>
<a id="a5a3c567db50b1cdfd4a229f73fad4d90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a3c567db50b1cdfd4a229f73fad4d90">&#9670;&nbsp;</a></span>ConstCalorimeterHit() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstCalorimeterHit::ConstCalorimeterHit </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00031">31</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

</div>
</div>
<a id="a81946de4a54634b41fb6e378b32b6719"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a81946de4a54634b41fb6e378b32b6719">&#9670;&nbsp;</a></span>~ConstCalorimeterHit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstCalorimeterHit::~ConstCalorimeterHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00049">49</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae07952768ca50d8319f826f7a06ff081"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae07952768ca50d8319f826f7a06ff081">&#9670;&nbsp;</a></span>cellID0()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstCalorimeterHit::cellID0 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00052">52</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_data_8h_source.html#l00017">eic::CalorimeterHitData::cellID0</a>, and <a class="el" href="_calorimeter_hit_obj_8h_source.html#l00034">eic::CalorimeterHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">ConstCalorimeterHit()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ae737f9fd26c7dca7c04f75fc0ef21b81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae737f9fd26c7dca7c04f75fc0ef21b81">&#9670;&nbsp;</a></span>cellID1()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const long long &amp; eic::ConstCalorimeterHit::cellID1 </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The second detector specific (geometrical) cell id. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00053">53</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_data_8h_source.html#l00018">eic::CalorimeterHitData::cellID1</a>, and <a class="el" href="_calorimeter_hit_obj_8h_source.html#l00034">eic::CalorimeterHitObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">ConstCalorimeterHit()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a638754b9e991342cef3620d410ba30fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a638754b9e991342cef3620d410ba30fe">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> eic::ConstCalorimeterHit::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00045">45</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

</div>
</div>
<a id="a46a988dbb17d2a6aaf4010b0dc30b735"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46a988dbb17d2a6aaf4010b0dc30b735">&#9670;&nbsp;</a></span>energy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstCalorimeterHit::energy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The energy of the hit in [GeV]. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00054">54</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_obj_8h_source.html#l00034">eic::CalorimeterHitObj::data</a>, and <a class="el" href="_calorimeter_hit_data_8h_source.html#l00019">eic::CalorimeterHitData::energy</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">ConstCalorimeterHit()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a36a7537b542fcc094e050f701d1da480"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36a7537b542fcc094e050f701d1da480">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::ConstCalorimeterHit::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00081">81</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_const_8h_source.html#l00099">id()</a>.</p>

</div>
</div>
<a id="aa7ecf2a4aeb1a5677f78329ed862a17e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7ecf2a4aeb1a5677f78329ed862a17e">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstCalorimeterHit::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8h_source.html#l00099">99</a> of file <a class="el" href="_calorimeter_hit_const_8h_source.html">CalorimeterHitConst.h</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00081">getObjectID()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a10e2a07fdb1f663a893eef0eb870edd5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10e2a07fdb1f663a893eef0eb870edd5">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstCalorimeterHit::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00074">74</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

</div>
</div>
<a id="a118105c1aa3580b2d23719f5600225df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a118105c1aa3580b2d23719f5600225df">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstCalorimeterHit::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8h_source.html#l00097">97</a> of file <a class="el" href="_calorimeter_hit_const_8h_source.html">CalorimeterHitConst.h</a>.</p>

</div>
</div>
<a id="a468f6db45e5d0b77fb311a4161c1912d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a468f6db45e5d0b77fb311a4161c1912d">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> &amp; eic::ConstCalorimeterHit::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00035">35</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

</div>
</div>
<a id="ae07a922ae22b5b75c36a882eac2bf585"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae07a922ae22b5b75c36a882eac2bf585">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstCalorimeterHit::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_calorimeter_hit.html">ConstCalorimeterHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8h_source.html#l00093">93</a> of file <a class="el" href="_calorimeter_hit_const_8h_source.html">CalorimeterHitConst.h</a>.</p>

</div>
</div>
<a id="ae5abbadd983d956dc5a2bcc0da8edae7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5abbadd983d956dc5a2bcc0da8edae7">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstCalorimeterHit::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_calorimeter_hit.html">CalorimeterHit</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00088">88</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

</div>
</div>
<a id="a23a3fcfbbd307bccb3f57c06bef0ce2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23a3fcfbbd307bccb3f57c06bef0ce2f">&#9670;&nbsp;</a></span>position()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_vector_x_y_z.html">eic::VectorXYZ</a> &amp; eic::ConstCalorimeterHit::position </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The position of the hit in world coordinates. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00056">56</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_obj_8h_source.html#l00034">eic::CalorimeterHitObj::data</a>, and <a class="el" href="_calorimeter_hit_data_8h_source.html#l00021">eic::CalorimeterHitData::position</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">ConstCalorimeterHit()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ad24d48af434ccecfb9776caeae358ffe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad24d48af434ccecfb9776caeae358ffe">&#9670;&nbsp;</a></span>rawHit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_const_raw_calorimeter_hit.html">ConstRawCalorimeterHit</a> eic::ConstCalorimeterHit::rawHit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The <a class="el" href="classeic_1_1_raw_calorimeter_hit.html">RawCalorimeterHit</a>. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00062">62</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_obj_8h_source.html#l00035">eic::CalorimeterHitObj::m_rawHit</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="af1efd1cb1c3359fb9824822338a11c0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1efd1cb1c3359fb9824822338a11c0b">&#9670;&nbsp;</a></span>time()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstCalorimeterHit::time </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The time of the hit in [ns]. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00055">55</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_obj_8h_source.html#l00034">eic::CalorimeterHitObj::data</a>, and <a class="el" href="_calorimeter_hit_data_8h_source.html#l00020">eic::CalorimeterHitData::time</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">ConstCalorimeterHit()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a93910529a7d07283de64275044e7e2e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93910529a7d07283de64275044e7e2e4">&#9670;&nbsp;</a></span>type()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int &amp; eic::ConstCalorimeterHit::type </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The type of the hit. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00060">60</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_obj_8h_source.html#l00034">eic::CalorimeterHitObj::data</a>, and <a class="el" href="_calorimeter_hit_data_8h_source.html#l00022">eic::CalorimeterHitData::type</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00021">ConstCalorimeterHit()</a>, and <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a4f12f2c92cbafb700c06edda35f27e71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f12f2c92cbafb700c06edda35f27e71">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ConstCalorimeterHit::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_calorimeter_hit_obj.html">CalorimeterHitObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8h_source.html#l00091">91</a> of file <a class="el" href="_calorimeter_hit_const_8h_source.html">CalorimeterHitConst.h</a>.</p>

</div>
</div>
<a id="a93c360316514cbc6d09a5ec08370b212"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a93c360316514cbc6d09a5ec08370b212">&#9670;&nbsp;</a></span>x()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstCalorimeterHit::x </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the member of The position of the hit in world coordinates. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00057">57</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_obj_8h_source.html#l00034">eic::CalorimeterHitObj::data</a>, <a class="el" href="_calorimeter_hit_data_8h_source.html#l00021">eic::CalorimeterHitData::position</a>, and <a class="el" href="_vector_x_y_z_8h_source.html#l00013">eic::VectorXYZ::x</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a03769cc93d81a949806eb6adcd0ca62f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a03769cc93d81a949806eb6adcd0ca62f">&#9670;&nbsp;</a></span>y()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstCalorimeterHit::y </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the member of The position of the hit in world coordinates. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00058">58</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_obj_8h_source.html#l00034">eic::CalorimeterHitObj::data</a>, <a class="el" href="_calorimeter_hit_data_8h_source.html#l00021">eic::CalorimeterHitData::position</a>, and <a class="el" href="_vector_x_y_z_8h_source.html#l00014">eic::VectorXYZ::y</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ab943a8ca52790ce65b76daecc49bda8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab943a8ca52790ce65b76daecc49bda8f">&#9670;&nbsp;</a></span>z()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstCalorimeterHit::z </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the member of The position of the hit in world coordinates. </p>

<p class="definition">Definition at line <a class="el" href="_calorimeter_hit_const_8cc_source.html#l00059">59</a> of file <a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_calorimeter_hit_obj_8h_source.html#l00034">eic::CalorimeterHitObj::data</a>, <a class="el" href="_calorimeter_hit_data_8h_source.html#l00021">eic::CalorimeterHitData::position</a>, and <a class="el" href="_vector_x_y_z_8h_source.html#l00015">eic::VectorXYZ::z</a>.</p>

<p class="reference">Referenced by <a class="el" href="_calorimeter_hit_8cc_source.html#l00112">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_calorimeter_hit_const_8h_source.html">CalorimeterHitConst.h</a></li>
<li>src/<a class="el" href="_calorimeter_hit_const_8cc_source.html">CalorimeterHitConst.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
